sopgtr.f(3)

NAME
sopgtr.f

SYNOPSIS

  Functions/Subroutines
subroutine sopgtr (UPLO, N, AP, TAU, Q, LDQ, WORK, INFO)
SOPGTR

Function/Subroutine Documentation

  subroutine sopgtr (character UPLO, integer N, real, dimension( * ) AP, real, dimension( * ) TAU, real, dimension( ldq, * ) Q, integer LDQ, real, dimension( * ) WORK, integer INFO)

Purpose:

     SOPGTR generates a real orthogonal matrix Q which is defined as the
     product of n-1 elementary reflectors H(i) of order n, as returned by
     SSPTRD using packed storage:
     if UPLO = 'U', Q = H(n-1) . . . H(2) H(1),
     if UPLO = 'L', Q = H(1) H(2) . . . H(n-1).

Parameters
    UPLO

              UPLO is CHARACTER*1
              = 'U': Upper triangular packed storage used in previous
                     call to SSPTRD;
              = 'L': Lower triangular packed storage used in previous
                     call to SSPTRD.

    N

              N is INTEGER
              The order of the matrix Q. N >= 0.

    AP

              AP is REAL array, dimension (N*(N+1)/2)
              The vectors which define the elementary reflectors, as
              returned by SSPTRD.

    TAU

              TAU is REAL array, dimension (N-1)
              TAU(i) must contain the scalar factor of the elementary
              reflector H(i), as returned by SSPTRD.

    Q

              Q is REAL array, dimension (LDQ,N)
              The N-by-N orthogonal matrix Q.

    LDQ

              LDQ is INTEGER
              The leading dimension of the array Q. LDQ >= max(1,N).

    WORK

              WORK is REAL array, dimension (N-1)

    INFO

              INFO is INTEGER
              = 0:  successful exit
              < 0:  if INFO = -i, the i-th argument had an illegal value

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 113 of file sopgtr.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.